Subject: Re: Airfix 1/24 Mustang "Beautiful Doll"
From: "Steve Bamford" <[email-masked]>
To: "Holger Papke" <[email-masked]>
Date: Sat, 6 Jul 2002 01:20:53 -0700

Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com

Live like there is no tomorrow;
Love like you have never been hurt; and
Dance like no one is watching!

  ----- Original Message ----- 
  From: Holger Papke 
  To: Steve Bamford 
  Sent: Sunday, May 26, 2002 6:09 AM
  Subject: Airfix 1/24 Mustang "Beautiful Doll"

  Hi Steve,

  here is my next Airfix "Giant" from the 1/24 series, I hope you like it ;-).

  ------------------------------------------------------------------------------------------------------------------------

  Also the P-51 D Mustang from Airfix is still the same kit that it was 30 years ago.
  Inside the parts it shows "Airfix Productions 1972". 

  The plastic material is very thin, especially the fuselage. You have to be very careful
  with cut and sand works.
  The decals are "very good" and easy to apply. When you use decal softener they look 
  like painted. There were markings for 2 different versions, the "Big Beautiful Doll" 
  and a RCAF No. 442 SQN.

  I decided to build the "Doll" because I wanted to use Testors Metalizer "Buffing Aluminum".
  It is easy to use and fast drying, it caused no problems. I polished the aircraft and I really
  looks like real aluminum. Then I used the Testors "Sealer for Metalizer", that was a mistake.
  It makes the model more "flat", the silver polished surface was gone. Now it has the normal
  aluminum look like normal acrylic colour. Next time I will try something else for sealing.

  Cockpit and engine assembly are easy and without problems.

  The worst part in this kit is the gear. It is to thin for this heavy model and the wheels look
  to large for this scale. It has not a stable stand, it's "shaky".

  Canopy glass and frame are seperate parts, no painful paintjob. The front window fits after
  cutting plenty of plastic away.

  Like the Me 109 from Airfix, this model has no gear bays and I had to scratchbuild them. 

  Like all the other 1/24 kits from Airfix, it needs very urgent an aftermarket update kit. For 
  this big scale the models don't have enough details.

  But it's always an eye catcher to have one of these big guys in your shelf.

  Holger Papke